%define cvsver cvs20060905
Name: gnomebaker
Version: 0.5.2
Release: alt0.%cvsver.1

Summary: CD/DVD burning program for GNOME.
Summary(ru_RU.UTF-8): Программа записи CD/DVD-дисков для GNOME.
License: GPL
Group: Graphical desktop/GNOME
Url: http://gnomebaker.sourceforge.net

Source: %name-%cvsver.tar.bz2
Patch1: %name-0.5.2-fix-build.patch

Requires: cdrecord mkisofs
Requires: gst-plugins-vorbis gst-plugins-mad
#Requires: growisofs
Requires(post,postun): scrollkeeper

BuildPreReq: libnotify-devel >= 0.2.1
BuildPreReq: libgnomeui-devel >= 2.8.1
BuildPreReq: libgtk+2-devel >= 2.6.0
BuildPreReq: glib2-devel >= 2.4.0
BuildPreReq: libxml2-devel >= 2.4.0
BuildPreReq: libglade-devel >= 2.4.2
BuildPreReq: gstreamer-devel >= 0.8.9
BuildPreReq: automake_1.9
# Automatically added by buildreq on Tue Sep 05 2006
BuildRequires: fontconfig libavahi-glib libdbus-glib-devel scrollkeeper
#BuildRequires: less rpm-utils

%description
GnomeBaker is a GNOME CD/DVD burning application. GnomeBaker can:
    * Create Audio CDs from existing WAVs, MP3, FLAC and Oggs
    * Import M3U and PLS audio playlists
    * Create Data CDs
    * Blank RW disks
    * Copy Data CDs
    * Copy Audio CDs
    * Burn existing CD ISO images
    * Can burn via SCSI and ATAPI on Linux kernels 2.4 and 2.6. Basically if cdrecord works then Gnomebaker will work.
    * Drag and drop to create Data CDs (including DnD to and from nautilus)
    * Integrate with GConf for storage of application settings
    * Burn DVDs
    * Support multisession burning
    * Blank/Format DVDs
    * Burn Cue/Bin files
    * Burn Data CDs on the fly

In the future it will also do the following and hopefully much more:
    * Create Video CDs from existing video and stills
    * Create mixed mode CDs

%prep
%setup -q -n %name
%patch1

%build
rm -f missing
NOCONFIGURE=1 ./autogen.sh
%configure \
    --disable-schemas-install --disable-scrollkeeper --enable-libnotify

%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %name

%post
%update_scrollkeeper

%postun
%clean_scrollkeeper

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%dir %_datadir/%name
%_datadir/%name/*
%_iconsdir/*/*/*/%{name}*
%doc ChangeLog TODO AUTHORS

%changelog
* Mon Sep 25 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.5.2-alt0.cvs20060905.1
- fixed dependencies
- fixed configure process
- fixed building with older Gtk+ (for backports).

* Tue Sep 05 2006 Ildar Mulyukov <ildar@altlinux.ru> 0.5.2-alt0.cvs20060905
- pre-0.5.2 CVS version
- added gstreamer-0.10 support
- fixed bugs #

* Thu Apr 06 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.5.1-alt1
- new version (0.5.1)

* Wed Jul 20 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.4-alt1
- New upstream version.

* Sat May 28 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.3-alt1
- Initial Sisyphus package.

